Skip to main content
GET
/
v4
/
data-validation
/
workflows
/
{workflowId}
/
validation
/
config
Get data validation configuration for a workflow
curl --request GET \
  --url https://api.kadoa.com/v4/data-validation/workflows/{workflowId}/validation/config \
  --header 'x-api-key: <api-key>'
{
  "workflowId": "<string>",
  "error": true,
  "dataValidation": {
    "enabled": true,
    "alerting": {
      "system": {
        "enabled": true,
        "threshold": 1
      },
      "user": {
        "enabled": true,
        "threshold": 1
      }
    },
    "ruleCounts": {
      "enabled": 1,
      "disabled": 1,
      "preview": 1,
      "error": true
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.kadoa.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

workflowId
string
required

The workflow ID to get validation configuration for

Response

200

workflowId
string
required
error
boolean
required
dataValidation
DataValidationConfig · object

Configuration for data validation